{ pkgs, ... }:

let tty = "tty1";
in {
  boot.extraTTYs = [ tty ];

  systemd.services.ncmpcpp = {
    description = "Rogue dungeon crawling game";
    wantedBy = [ "multi-user.target" ];
    serviceConfig = {
      ExecStart = "${pkgs.ncmpcpp}/bin/ncmpcpp";
      StandardInput = "tty";
      StandardOutput = "tty";
      TTYPath = "/dev/${tty}";
      TTYReset = true;
      TTYVTDisallocate = true;
      WorkingDirectory = "/tmp";
      Restart = "always";
    };
  };

}
